> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plurex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Open Positions

> Get all open positions for all accounts across all hosts



## OpenAPI

````yaml POST /api/v1/hosts/query/ListAllOpenPositions
openapi: 3.1.0
info:
  title: Plurex Platform API
  description: >
    Plurex Platform API uses a Command & Query Separation (CQS) architecture.

    All state-changing operations are 'commands' and read-only operations are
    'queries'.

    Both use HTTP POST with JSON payloads.

    No conformity to REST, all inputs are in the body of the request.
  version: 1.0.0
servers:
  - url: https://api.plurex.io
    description: Production server
security:
  - ApiKeyAuth: []
    ApiSecretAuth: []
paths:
  /api/v1/hosts/query/ListAllOpenPositions:
    post:
      tags:
        - Hosts
      summary: Get all open positions for all accounts across all hosts
      operationId: listAllOpenPositions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListAllOpenPositionsQuery'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseSuccessPageResponseEnvelope'
                  - type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/AccountPositions'
components:
  schemas:
    ListAllOpenPositionsQuery:
      allOf:
        - $ref: '#/components/schemas/BasePageQuery'
        - type: object
          required:
            - tenantId
          properties:
            tenantId:
              type: string
    BaseSuccessPageResponseEnvelope:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          required:
            - items
          properties:
            items:
              type: array
              items:
                type: object
            nextCursor:
              type: string
              nullable: true
              description: Use this value in the next request to fetch the following page.
    AccountPositions:
      type: object
      required:
        - accountId
        - positions
      properties:
        accountId:
          type: string
        positions:
          type: array
          items:
            $ref: '#/components/schemas/MarketPosition'
    BasePageQuery:
      type: object
      properties:
        cursor:
          type: string
          nullable: true
    BaseResponse:
      type: object
      required:
        - traceId
        - serverTime
      properties:
        traceId:
          type: string
          format: uuid
          description: Unique identifier for tracing.
        serverTime:
          type: string
          format: date-time
          description: RFC3339 timestamp of processing.
        warnings:
          type: array
          items:
            type: string
    MarketPosition:
      type: object
      properties:
        instrument:
          $ref: '#/components/schemas/Instrument'
        long:
          $ref: '#/components/schemas/Position'
        short:
          $ref: '#/components/schemas/Position'
        mode:
          $ref: '#/components/schemas/PositionMode'
          nullable: true
    Instrument:
      type: object
      properties:
        base:
          type: string
        quote:
          type: string
        marketType:
          type: string
    Position:
      type: object
      properties:
        size:
          $ref: '#/components/schemas/MoneyValue'
        entryPrice:
          $ref: '#/components/schemas/MoneyValue'
          nullable: true
    PositionMode:
      type: string
      enum:
        - TwoWay
        - OneWay
    MoneyValue:
      type: string
      description: String-encoded BigDecimal for high precision monetary values.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    ApiSecretAuth:
      type: apiKey
      in: header
      name: X-API-SECRET

````